Name:     setime
Summary:  Choose input method
Summary(ja):  入力メソッドの選択と設定
Version:  0.87
Release:  %mkrel 1
License:  distributable
Group:    System/Internationalization
URL:      http://tomcat.nyanta.jp/sb2/sb.cgi?eid=239
Source0:  %{name}-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
Requires:  zenity
Requires:  gksu
Requires(post,postun):  desktop-file-utils
BuildArch: noarch
Conflicts: ibus-autostart

%description
This package contain scripts for setting input method.
See below web page.(only Japanese)
http://tomcat.nyanta.jp/sb2/sb.cgi?eid=239

[Caution]
* After installed this package, you should re-login.
* After executed setime|gsetime, you should re-login.
* This tool support scim, scim-bridge, ibus, uim, fcitx.

%description -l ja
入力メソッドの選択と設定を行う為のスクリプト群です。
詳しくは下記のページを参照してください。
http://tomcat.nyanta.jp/sb2/sb.cgi?eid=239

【注意】
・setime または gsetime の実行後は再ログインしてください。
・このツールが対応している入力メソッドは scim, scim-bridge, ibus, uim, fcitx です。
　これ以外の入力メソッドには対応していません。


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{setime,applications,pixmaps}
install -p -m755 setime $RPM_BUILD_ROOT%{_bindir}
install -p -m755 gsetime $RPM_BUILD_ROOT%{_bindir}
install -p -m755 setime-delete-old-settings $RPM_BUILD_ROOT%{_bindir}
install -p -m755 imelib $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m755 setime-sub $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m644 README $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m644 ChangeLog $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m644 gsetime.desktop $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m644 gsetime.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m644 10lang.sh.setime $RPM_BUILD_ROOT%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_desktop_database

/usr/bin/setime-delete-old-settings > /dev/null
#if [ "$?" = 0 ] ; then
#  if [ $LANG = ja_JP.UTF-8 ]; then
#    echo "setimeを用いて入力メソッドの再設定を行なってください。"
#  else
#    echo "Please execute setime for settings of the input method."
#  fi
#fi


%postun
%clean_desktop_database


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/setime/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/gsetime.png


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 0.87-1pclos2013
- 0.87 imported from tomcat
